Bug 450636 - extensiondir patched to be under /var/lib; should it be under /usr/share?
Summary: extensiondir patched to be under /var/lib; should it be under /usr/share?
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-10 02:13 UTC by Dave Malcolm
Modified: 2009-07-31 09:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-31 09:12:21 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2008-06-10 02:13:42 UTC
Description of problem:
Attempting to packge testopia c.f. 
https://bugzilla.redhat.com/show_bug.cgi?id=450013#c8

bugzilla-rw-paths.patch patches Bugzilla/Constants.pm so that 
  'extensionsdir' => "/var/lib/bugzilla/extensions",
rather than the upstream "$libpath/extensions", which would be
/usr/share/bugzilla/extensions

From my reading of the bugzilla extension mechanism, it seems to contain code,
templates and other non-writable files, so /usr/share seems a better location.

I've changed that patch in my latest attempt at packaging testopia (see
https://bugzilla.redhat.com/show_bug.cgi?id=450013#c10 ) so that it doesn't
affect the "extensionsdir" line.

Is this a change that should be made to the bugzilla package?

Version-Release number of selected component (if applicable):
3.0.4-1

Comment 1 Bug Zapper 2008-11-26 02:23:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Admin XMLRPC Client 2009-02-11 19:25:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Itamar Reis Peixoto 2009-03-01 04:02:21 UTC
Hi.

Can you provide more info about this ?

the testopia review request has been closed, do you still need help with this issue ?

Comment 4 Dave Malcolm 2009-03-03 18:21:40 UTC
Given that testopia can't go in Fedora, I suspect this bug isn't significant enough to be worth fixing.

I think the patched directory is in the wrong location, and the upstream location is better.  If there are other bz extensions it might be worth fixing this, and reverting to the upstream location.  I don't feel strongly about this though.

Hope this helps

Comment 5 Emmanuel Seyman 2009-07-31 09:12:21 UTC
Discussing this bug with itamar, we realized that we actually package the extensions directory in /usr/share/bugzilla/ so the patch is actually invalid.

I've removed that part of the patch and tagged a rebuild for F-12.


Note You need to log in before you can comment on or make changes to this bug.